Subject: [PATCH 0/3] Re: how to have --no-ff be the default for all branch

From: Jay Soffian <[email-masked]>
Date: Fri, 6 Mar 2009 17:15:12 -0500

2009/3/6 jean-luc malet <[email-masked]>:
> I would like that it is the default for all branch and that I use --ff
> when I want to do fast forward merge
> I know that I can set it up for one branch
> git config add branch.master.mergeoption --no-ff
> but I want it to be the default no just for one branch but for all branch
> git config add branch.*.mergeoption --no-ff
> don't work....

This series should do it for you. It teaches merge to support
merge.options, which is the default for all merge operations.

Jay Soffian (3):
  config: add git_config_option_string()
  builtin-merge: refactor to use git_config_option_string
  builtin-merge: add support for default merge options

 Documentation/git-merge.txt |   11 +++-
 builtin-merge.c             |   24 +++----
 cache.h                     |    2 +
 config.c                    |   39 ++++++++++++
 parse-options.c             |    2 +
 t/t7600-merge.sh            |  143 ++++++++++++++++++++++++++++++++++++-------
 6 files changed, 182 insertions(+), 39 deletions(-)